%define major 		9
%define pangomajor	0
%define gi_major	1.0

%define libname		%mklibname %{name} %{major}
%define libname_pango	%mklibname %{name}-pango %{pangomajor}
%define develname 	%mklibname -d %{name}
%define girname 	%mklibname %{name}-gir %{gi_major}
%define girname_pango	%mklibname %{name}-pango-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		cogl
Version:	1.10.2
Release:	%mkrel 1
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.clutter-project.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		cogl-1.7.6-linkage.patch
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes) >= 3
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xcomposite) >= 0.4
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(cairo) >= 1.10
BuildRequires:	pkgconfig(pangocairo) >= 1.20
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk-doc)

%description
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.

As well aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

#--------------------------------------------------------------------

%package i18n
Summary:	Translations for %{name}
Group:		System/Internationalization
Obsoletes:	%{name} < 1.9.2
BuildArch:	noarch

%description i18n
This contains the translation data for %{name}.

%files i18n -f %{name}.lang
%defattr(-,root,root,-)

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libname}
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.

As well aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libcogl.so.%{major}*

#--------------------------------------------------------------------

%package -n %{libname_pango}
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libname_pango}
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.

As well aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

%files -n %{libname_pango}
%defattr(-, root, root)
%{_libdir}/libcogl-pango.so.%{pangomajor}*

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}-gir 0.0} < %{version}
Conflicts:	%{mklibname clutter 1.0 0} < 1.7.2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%defattr(-, root, root)
%{_libdir}/girepository-1.0/Cogl-%{gi_major}.typelib

#--------------------------------------------------------------------

%package -n %{girname_pango}
Summary:	GObject Introspection interface description for %{name}-pango
Group:		System/Libraries
Requires:	%{libname_pango} = %{version}-%{release}
Conflicts:	%{_lib}cogl-gir0.0 < %{version}

%description -n %{girname_pango}
GObject Introspection interface description for %{name}-pango.

%files -n %{girname_pango}
%defattr(-, root, root)
%{_libdir}/girepository-1.0/CoglPango-%{gi_major}.typelib

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	%{name} development environment
Group:		Development/C 
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname_pango} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(gl)
Conflicts:	%{mklibname -d clutter 1.0} <= 1.6.16

%description -n %{develname}
Header files and libraries for building and developing apps with %{name}.

%files -n %{develname}
%defattr(-, root, root)
%doc NEWS README ChangeLog
%{_includedir}/cogl
%{_libdir}/libcogl*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Cogl*-%{gi_major}.gir

#--------------------------------------------------------------------

%package doc
Summary:	Documentation for %{name}
Group:		Books/Other 
Requires:	%{develname} = %{version}-%{release}
BuildArch:	noarch

%description doc
This package contains documentation for %{name}.

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/cogl
%{_datadir}/gtk-doc/html/cogl-2.0-experimental

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .linkage

%build
CFLAGS="%{optflags} -fPIC"

%configure2_5x \
	--enable-cairo=yes \
	--enable-gdk-pixbuf=yes \
	--enable-cogl-pango=yes \
	--enable-glx=yes \
	--enable-gtk-doc \
	--enable-introspection=yes \
	--enable-examples-install=no

%make

%install
%makeinstall_std

#Remove examples
rm -rf %{buildroot}%{_datadir}/%{name}/examples-data/

#Remove libtool archives.
find %{buildroot} -name "*.la" -delete

%find_lang %{name}


%changelog

* Thu Apr 19 2012 ovitters <ovitters> 1.10.2-1.mga2
+ Revision: 231785
- new version 1.10.2

* Tue Mar 20 2012 ovitters <ovitters> 1.10.0-1.mga2
+ Revision: 225079
- new version 1.10.0

* Tue Mar 06 2012 fwang <fwang> 1.9.8-1.mga2
+ Revision: 219603
- update libmajor
- new version 1.9.8

* Thu Feb 23 2012 fwang <fwang> 1.9.6-3.mga2
+ Revision: 212479
- add requires on gl due to inclusion of GL/gl.h

* Wed Feb 22 2012 tv <tv> 1.9.6-2.mga2
+ Revision: 212418
- fix hard version-release requires on i18n sub package with defeats the purpose of libification

* Wed Feb 22 2012 wally <wally> 1.9.6-1.mga2
+ Revision: 212291
- new version 1.9.6
- new major 8
- drop unneeded P1

* Tue Jan 17 2012 wally <wally> 1.9.4-2.mga2
+ Revision: 197508
- add patch to fix devel pkg requires

  + fwang <fwang>
    - drop hard version req on i18n

* Tue Jan 17 2012 fwang <fwang> 1.9.4-1.mga2
+ Revision: 197204
- update libmajor
- new version 1.9.4

* Tue Nov 22 2011 wally <wally> 1.9.2-3.mga2
+ Revision: 170999
- enable gdk-pixbuf support
- clean BRs and use pkgconfig style

* Tue Nov 22 2011 wally <wally> 1.9.2-2.mga2
+ Revision: 170978
- fix doc pkg requires

* Tue Nov 22 2011 wally <wally> 1.9.2-1.mga2
+ Revision: 170959
- new version 1.9.2
- new major 6
- create i18n package for translations
- disable examples installation for sure

* Mon Oct 17 2011 wally <wally> 1.8.2-1.mga2
+ Revision: 155787
- new version 1.8.2

* Mon Sep 19 2011 wally <wally> 1.8.0-1.mga2
+ Revision: 145673
- new version 1.8.0
- new major 5 for cogl

* Tue Sep 06 2011 tv <tv> 1.7.8-1.mga2
+ Revision: 139400
- new release
- use xz sources

  + wally <wally>
    - new version 1.7.6
    - add patch to fix build
    - make lib packages to not require gir ones
    - clean .spec a bit

  + fwang <fwang>
    - new version 1.7.4

* Fri Jul 15 2011 wally <wally> 1.7.2-5.mga2
+ Revision: 124377
- add more conflicts

* Thu Jul 07 2011 wally <wally> 1.7.2-4.mga2
+ Revision: 119896
- rebuild against new rpm-setup

* Tue Jul 05 2011 wally <wally> 1.7.2-3.mga2
+ Revision: 118926
- add subpackage for cogl-pango gir .typelib
- fix gir .typelib package summaries
- add gi_major check to file list
- add conflicts

* Tue Jul 05 2011 dmorgan <dmorgan> 1.7.2-2.mga2
+ Revision: 118862
- Make the lib package requires the gir one

* Tue Jul 05 2011 wally <wally> 1.7.2-1.mga2
+ Revision: 118689
- new version 1.7.2
- new major 1 for main lib
- clean .spec a bit

* Mon Jul 04 2011 wally <wally> 1.7.0-4.mga2
+ Revision: 118263
- add conflicts

* Mon Jul 04 2011 wally <wally> 1.7.0-3.mga2
+ Revision: 118082
- add more general provides to -devel package
- handle -devel package requires with find-requires script
- use configure2_5x macro

* Sun Jul 03 2011 dmorgan <dmorgan> 1.7.0-2.mga2
+ Revision: 117804
- Fix requires

* Sun Jul 03 2011 dmorgan <dmorgan> 1.7.0-1.mga2
+ Revision: 117702
- Fix buildRequires
- Fix buildRequires
- imported package cogl


* Thu Jun 16 2011 Peter Robinson <pbrobinson@gmail.com> - 1.7.0-3
- Update spec for review feedback

* Thu Jun 16 2011 Peter Robinson <pbrobinson@gmail.com> - 1.7.0-2
- Update spec for review feedback

* Wed Jun 15 2011 Peter Robinson <pbrobinson@gmail.com> - 1.7.0-1
- Initial Package

